package com.xunmei.core.access.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.xunmei.common.core.web.domain.BaseEntity;

/**
 * 调阅任务登记检查情况对象 core_monitoring_task_monitor_info
 *
 * @author xunmei
 * @date 2023-08-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("core_monitoring_task_monitor_info")
@ApiModel(value = "CoreMonitoringTaskMonitorInfo对象" , description = "调阅任务登记检查情况")
public class CoreMonitoringTaskMonitorInfo extends BaseEntity
        {
private static final long serialVersionUID=1L;

    /** 主键 */
    private Long id;

    /** 监控id */
            @ApiModelProperty(value = "监控id")
    private Long taskMonitorId;

    /** 项目 */
            @ApiModelProperty(value = "项目")
    private String project;

    /** 情况 */
            @ApiModelProperty(value = "情况")
    private String situation;

    /** 异常说明 */
            @ApiModelProperty(value = "异常说明")
    private String abnormalIllustrate;

    /** 0未2已删 */
    private String delFlag;

                                                                                                                                                                                                                                                                                                                                                                                                                                                
@Override
public String toString(){
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)


                .append("id" ,getId())


                .append("taskMonitorId" ,getTaskMonitorId())


                .append("project" ,getProject())


                .append("situation" ,getSituation())


                .append("abnormalIllustrate" ,getAbnormalIllustrate())


                .append("createTime" ,getCreateTime())


                .append("createBy" ,getCreateBy())


                .append("updateTime" ,getUpdateTime())


                .append("updateBy" ,getUpdateBy())


                .append("delFlag" ,getDelFlag())
        .toString();
        }
        }
